Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000762Frama-CKernelpublic2011-03-23 22:122011-10-10 14:14
Reporterpascal 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000762: unsigned constants truncated (csmith)
Descriptionunsigned long long g_3 = 18446744073709551615U;

main(){
  printf("%llu\n", g_3);
}

gcc:
18446744073709551615

~/ppc/bin/toplevel.opt -val t_64.c
        g_3 ? {4294967295; }

GCC is right. "The type of an integer constant is the first of the corresponding list in which its value can be represented", pages 55-56 of the C99 standard.


Additional InformationDoes not seem related to bug 745: the program is analyzed correctly with ULL as the constant's suffix.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000775closedmonate Hex/octal signed constants can be represented in an unsigned extended integer type (csmith) 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-03-23 22:12 pascal New Issue
2011-03-23 22:33 pascal Additional Information Updated
2011-03-24 08:44 virgile Assigned To => virgile
2011-03-24 08:44 virgile Status new => confirmed
2011-03-31 11:49 monate Status confirmed => resolved
2011-03-31 11:49 monate Resolution open => fixed
2011-03-31 15:47 pascal Relationship added related to 0000775
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker